<h2 mat-dialog-title>{{title}}</h2>
<mat-dialog-content class="mat-typography">
  <form [formGroup]="crearEditarUser">
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="N° id" formControlName="id" readonly>
      <div class="input-group-append">
        <div class="input-group-text">
          <span class="fas fa-user"></span>
        </div>
      </div>
    </div>
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="username" formControlName="username" [readonly]="view">
      <div class="input-group-append">
        <div class="input-group-text">
          <span class="fas fa-user"></span>
        </div>
      </div>
    </div>
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="email" formControlName="email" [readonly]="view">
      <div class="input-group-append">
        <div class="input-group-text">
          <span class="fas fa-user"></span>
        </div>
      </div>
    </div>
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="password" formControlName="password" [readonly]="view">
      <div class="input-group-append">
        <div class="input-group-text">
          <span class="fas fa-envelope"></span>
        </div>
      </div>
    </div>
    <div class="input-group mb-3" [hidden]="view">
      <mat-select formControlName="roles" multiple>
        <mat-option *ngFor="let topping of toppingList" [value]="topping">{{topping}}</mat-option>
      </mat-select>
    </div>
    <div class="input-group mb-3" [hidden]="!view">
      <div class="input-group-append">
        <div class="input-group-text" *ngFor="let rol of listRoles">
          <span>{{rol.name}}</span><br>
        </div>
      </div>
    </div>
  </form>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button (click)="doAction()">Guardar</button>
  <button mat-button (click)="closeDialog()" mat-flat-button color="warn">Cancel</button>
</mat-dialog-actions>
